#!/bin/bash
rgb1=$1
rgb2=$2
rgbmosaic=$3
chl1=$4
chl2=$5
chlmosaic=$6
cloud1=$7
cloud2=$8
cloudmosaic=$9
shift 9
ndavi1=$1
ndavi2=$2
ndavimosaic=$3
chlbyte1=$4
chlbyte2=$5
chlbytemosaic=$6
ndavibyte1=$7
ndavibyte2=$8
ndavibytemosaic=$9

mosaic() {
    input1=$1
    input2=$2
    output=$3
    nodata=$4

    if [ ! -z "$nodata" ]
    then
        nodata_arg=" -a_nodata $nodata"
    else
       nodata_arg=""
    fi

    rm -f ${output};
    gdal_merge.py -o ${output}${nodata_arg} -co TILED=YES -co COMPRESS=LZW -co BLOCKXSIZE=256 -co BLOCKYSIZE=256 ${input1} ${input2}
    retVal=$?
    if [ $retVal -ne 0 ]; then
        echo "Error on gdal_merge for creating $output"
        exit 1
    fi

    gdaladdo ${output} 2 4 8 16 32
    retVal=$?
    if [ $retVal -ne 0 ]; then
        echo "Error on gdaladdo on $output"
        exit 2
    fi
    chown mep_dcs4cop:dcs4cop ${output}
    return 0
}


mosaic $rgb1 $rgb2 $rgbmosaic
mosaic $chl1 $chl2 $chlmosaic 32767
mosaic $cloud1 $cloud2 $cloudmosaic 2
mosaic $ndavi1 $ndavi2 $ndavimosaic  32767
mosaic $chlbyte1 $chlbyte2 $chlbytemosaic 255
mosaic $ndavibyte1 $ndavibyte2 $ndavibytemosaic 255
#echo "mosaic $rgb1 $rgb2 $rgbmosaic"
#echo "mosaic $chl1 $chl2 $chlmosaic"
#echo "mosaic $cloud1 $cloud2 $cloudmosaic"
#echo "mosaic $ndavi1 $ndavi2 $ndavimosaic"
#echo "mosaic $chlbyte1 $chlbyte2 $chlbytemosaic"
#echo "mosaic $ndavibyte1 $ndavibyte2 $ndavibytemosaic"

echo "Mosaic has ended successfully!"
exit 0

