#!/bin/bash
outputRootDir=$1
producttype=$2
productsource=${@:3}

export SPARK_MAJOR_VERSION=2
export SPARK_HOME=/usr/hdp/current/spark2-client
export PYSPARK_PYTHON="/usr/bin/python3.5"

keyfile="/data/VMM1/postproc/keytabs/mep_dcs4cop.keytab"

kinit -kt $keyfile mep_dcs4cop
DIRNAME=`dirname $0`
cd ..

zip -r "/tmp/vmm.zip" dcs4cop_vmm_postproc/*.py && \
  spark-submit --master yarn-cluster --queue dcs4cop \
  --name "VMM_FULL_TILE_S2" \
  --conf spark.yarn.appMasterEnv.SPARK_HOME=/usr/hdp/current/spark2-client \
  --conf spark.yarn.appMasterEnv.PYSPARK_DRIVER_PYTHON=/usr/bin/python3.5 \
  --conf spark.executorEnv.PYSPARK_PYTHON=/usr/bin/python3.5 \
  --conf spark.shuffle.service.enabled=true --conf spark.dynamicAllocation.enabled=true \
  --conf spark.dynamicAllocation.minExecutors=5 --conf spark.dynamicAllocation.maxExecutors=25 \
  --conf spark.yarn.submit.waitAppCompletion=true \
  --conf spark.yarn.executor.memoryOverhead=6G \
  --principal "mep_dcs4cop@VGT.VITO.BE" \
  --keytab $keyfile \
  --executor-memory 4G --py-files /tmp/vmm.zip ${DIRNAME}/process_all_tiles.py \
  --productsource $productsource \
  --outputRootDir $outputRootDir \
  --producttype $producttype \
  --client VMM

